<template>
    <div class="text">
        <h2>TwoWay Data binding</h2>
        <p>{{ user.firstName }} {{ user.lastName }}</p>

        First Name : <input type="text" v-model="user.firstName" placeholder="First Name">
        Last Name : <input type="text" v-model="user.lastName" placeholder="Last Name">
    </div>
</template>

<script>
import { ref, watch } from 'vue';
    export default {
        setup(){
            // const firstName = ref('')
            // const lastName = ref('')
            const user = ref(
                {
                    firstName: '',
                    lastName: '',
                }
            )
            watch([
                () => user.value.firstName,
                () => user.value.lastName
                ],
                (newValue, oldValue) => {
                console.log('New firstName', newValue[0])
                console.log('Old firstName', oldValue[0])
                console.log('New firstName', newValue[1])
                console.log('Old firstName', oldValue[1])
                }
                )
            return {
                // firstName,
                // lastName,
                user
            }
        }
    }
</script>

<style scoped>
.text{
    text-align: center;
}
</style>